package com.lightinit.hsdataplatform.model.admin;

import com.lightinit.hsdataplatform.annotation.FieldDescriber;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.constraints.NotNull;

/**
 * Created by WangYao on 2018/5/23.
 */
//TODO
public class ResourceAPIRegisterAddAPIResourceModel {

    //提供单位
    @NotNull
    @FieldDescriber(descripton = "提供单位")
    private Long provider;

    //返回码
    @NotEmpty
    @FieldDescriber(descripton = "返回码")
    private String returnCode;

    //服务类型
    private String serviceType;

    //服务标签
    private String serviceTag;

    //组成接口
    @NotEmpty
    @FieldDescriber(descripton = "组成接口")
    private String component;

    public Long getProvider() {
        return provider;
    }

    public void setProvider(Long provider) {
        this.provider = provider;
    }

    public String getReturnCode() {
        return returnCode;
    }

    public void setReturnCode(String returnCode) {
        this.returnCode = returnCode;
    }

    public String getServiceType() {
        return serviceType;
    }

    public void setServiceType(String serviceType) {
        this.serviceType = serviceType;
    }

    public String getServiceTag() {
        return serviceTag;
    }

    public void setServiceTag(String serviceTag) {
        this.serviceTag = serviceTag;
    }

    public String getComponent() {
        return component;
    }

    public void setComponent(String component) {
        this.component = component;
    }
}
